"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var react_1 = require("react");
var suncalc_1 = __importDefault(require("suncalc"));
function useSunCalc(curDate, lat, lng, updateFreq) {
    if (lat === void 0) { lat = 0; }
    if (lng === void 0) { lng = 0; }
    if (updateFreq === void 0) { updateFreq = 1000; }
    var _a = react_1.useState(undefined), times = _a[0], setTimes = _a[1];
    var _b = react_1.useState(false), isNightLight = _b[0], setIsNightLight = _b[1];
    var _c = react_1.useState(curDate ? curDate : new Date()), currentDate = _c[0], setCurrentDate = _c[1];
    react_1.useEffect(function () {
        var ticker = 0;
        if (!curDate) {
            ticker = setInterval(function () {
                setCurrentDate(new Date());
            }, updateFreq);
        }
        return function () {
            clearInterval(ticker);
        };
    }, [updateFreq]);
    react_1.useEffect(function () {
        var timesInEffect = suncalc_1.default.getTimes(currentDate, lat, lng);
        setTimes(timesInEffect);
        var currentTime = new Date();
        var isNightLightInEffect = currentTime.getTime() <= timesInEffect.sunrise.getTime() ||
            currentTime.getTime() >= timesInEffect.sunset.getTime();
        setIsNightLight(isNightLightInEffect);
        return function () {
            setTimes(undefined);
        };
    }, [currentDate, lat, lng]);
    return { times: times, isNightLight: isNightLight };
}
exports.useSunCalc = useSunCalc;
//# sourceMappingURL=useSunCalc.js.map